Bug 226139 - Merge Review: mgetty
Merge Review: mgetty
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:40 EST by Nobody's working on this, feel free to take it
Modified: 2010-01-28 10:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-28 10:01:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:40:19 EST
Fedora Merge Review: mgetty

http://cvs.fedora.redhat.com/viewcvs/devel/mgetty/
Initial Owner: mbarabas@redhat.com
Comment 1 Jon Ciesla 2008-09-16 11:50:42 EDT
rpmlint on SRPM:

mgetty.src: W: mixed-use-of-spaces-and-tabs (spaces: line 183, tab: line 179)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

Fix, since there's the below to do as well. . .

rpmlint on RPMS:

The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

mgetty.i386: E: non-readable /etc/mgetty+sendfax/dialin.config 0600
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

mgetty.i386: E: non-readable /etc/mgetty+sendfax/mgetty.config 0600
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

mgetty.i386: E: non-readable /sbin/mgetty 0700
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

mgetty.i386: E: non-standard-executable-perm /sbin/mgetty 0700
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

mgetty.i386: E: non-readable /usr/sbin/callback 0700
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

mgetty.i386: E: non-standard-executable-perm /usr/sbin/callback 0700
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

mgetty-sendfax.i386: W: non-standard-uid /var/spool/fax/incoming fax
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

mgetty-sendfax.i386: W: non-standard-uid /usr/lib/mgetty+sendfax/faxq-helper fax
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

mgetty-sendfax.i386: E: setuid-binary /usr/lib/mgetty+sendfax/faxq-helper fax 04711
The file is setuid, this may be dangerous, especially if this  file is setuid
root.

mgetty-sendfax.i386: E: non-standard-executable-perm /usr/lib/mgetty+sendfax/faxq-helper 04711
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

mgetty-sendfax.i386: E: non-standard-executable-perm /usr/lib/mgetty+sendfax/faxq-helper 04711
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

mgetty-sendfax.i386: W: non-standard-uid /var/spool/fax/outgoing fax
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

mgetty-voice.i386: E: non-readable /sbin/vgetty 0700
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

mgetty-voice.i386: E: non-standard-executable-perm /sbin/vgetty 0700
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

mgetty-voice.i386: E: non-readable /etc/mgetty+sendfax/voice.conf 0600
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

These are probably fine, but need explanation in the spec.


mgetty-sendfax.i386: W: summary-ended-with-dot Provides support for sending faxes over a modem.
Summary ends with a dot.

mgetty-viewfax.i386: W: summary-ended-with-dot An X Window System fax viewer.
Summary ends with a dot.

mgetty-voice.i386: W: summary-ended-with-dot A program for using your modem and mgetty as an answering machine.
Summary ends with a dot.

Trivial, but fix.

mgetty-viewfax.i386: E: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

Not sure if this is fixable or not.  What are these?

mgetty-voice.i386: E: incoherent-logrotate-file /etc/logrotate.d/vgetty
Your logrotate file should be named /etc/logrotate.d/<package name>.

mgetty-voice.i386: E: incoherent-logrotate-file /etc/logrotate.d/vm
Your logrotate file should be named /etc/logrotate.d/<package name>.

mgetty-sendfax.i386: E: incoherent-logrotate-file /etc/logrotate.d/sendfax
Your logrotate file should be named /etc/logrotate.d/<package name>.

Fix, unless catastrophic breakage would ensue.

mgetty-voice.i386: W: file-not-utf8 /usr/share/doc/mgetty-voice-1.1.36/ChangeLog
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile for example using iconv(1).

mgetty.i386: W: file-not-utf8 /usr/share/doc/mgetty-1.1.36/modems.db
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile for example using iconv(1).

Fix.

mgetty-voice.i386: W: conffile-without-noreplace-flag /etc/logrotate.d/vgetty
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

mgetty-voice.i386: W: conffile-without-noreplace-flag /etc/logrotate.d/vm
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

mgetty-voice.i386: W: conffile-without-noreplace-flag /etc/mgetty+sendfax/voice.conf
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

I can't think of a compelling reason not to fix this.  If there's one I'm missing, document in the spec.

Mock rawhide build fails:

xecuting(%prep): /bin/sh -e /var/tmp/rpm-tmp.8qdaFe
+ umask 022
+ cd /builddir/build/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /builddir/build/BUILD
+ rm -rf mgetty-1.1.36
+ /usr/bin/gzip -dc /builddir/build/SOURCES/mgetty1.1.36-Jun15.tar.gz
+ /bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd mgetty-1.1.36
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ mv policy.h-dist policy.h
Patch #0 (mgetty-1.1.29-config.patch):
+ echo 'Patch #0 (mgetty-1.1.29-config.patch):'
+ /bin/cat /builddir/build/SOURCES/mgetty-1.1.29-config.patch
+ /usr/bin/patch -s -p1 -b --suffix .config --fuzz=0
1 out of 2 hunks FAILED
 -- saving rejects to file Makefile.rej
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.8qdaFe (%prep)
    Bad exit status from /var/tmp/rpm-tmp.8qdaFe (%prep)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/mgetty.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.5/site-packages/mock/util.py", line 316, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/mgetty.spec']
LEAVE do --> EXCEPTION RAISED

Probably patch fuzz issue, so I can't verify if the BuildRequires are good.

Otherwise, full review is good.
Comment 2 Jon Ciesla 2008-09-16 12:05:01 EDT
Adding current owner.
Comment 3 Jon Ciesla 2008-12-09 15:45:45 EST
Reviewed current version.

In addition to the above:

mgetty.i386: W: incoherent-version-in-changelog 1.1.36-1 ['1.1.36-2.fc10', '1.1.36-2']
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

Sounds link fuzz has been fixed, doing a mock build to test.
Comment 4 Jon Ciesla 2008-12-09 16:09:01 EST
Mock build, and thus fuzz and BuildRequires, are good.
Comment 5 Jon Ciesla 2009-03-31 11:22:21 EDT
Ping?
Comment 6 Jiri Skala 2010-01-25 11:48:16 EST
mgetty.src: W: mixed-use-of-spaces-and-tabs (spaces: line 405, tab: line 180)
* Detective Story

mgetty-sendfax.x86_64: W: conffile-without-noreplace-flag /etc/mgetty+sendfax/faxspool.rules.sample
* this is an intention because this is an example

mgetty-sendfax.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/sendfax
mgetty-voice.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/vm
* the name is really package name but this is subpackage

mgetty-sendfax.x86_64: E: setuid-binary /usr/lib64/mgetty+sendfax/faxq-helper fax 04711
mgetty-sendfax.x86_64: E: non-standard-executable-perm /usr/lib64/mgetty+sendfax/faxq-helper 04711
mgetty-sendfax.x86_64: E: non-standard-executable-perm /usr/lib64/mgetty+sendfax/faxq-helper 04711
* intention

mgetty-viewfax.x86_64: W: only-non-binary-in-usr-lib
* this is false positive due to sub-package

mgetty-voice.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/vgetty
* the name is really package name but this is subpackage

mgetty-voice.x86_64: W: file-not-utf8 /usr/share/doc/mgetty-voice-1.1.36/ChangeLog
* changelog in tarball - this is ok

mgetty-voice.x86_64: E: non-readable /sbin/vgetty 0700
mgetty-voice.x86_64: E: non-standard-executable-perm /sbin/vgetty 0700
mgetty-voice.x86_64: E: non-readable /etc/mgetty+sendfax/voice.conf 0600
mgetty.x86_64: E: non-readable /etc/mgetty+sendfax/login.config 0600
mgetty.x86_64: E: non-readable /etc/mgetty+sendfax/dialin.config 0600
mgetty.x86_64: E: non-readable /etc/mgetty+sendfax/mgetty.config 0600
mgetty.x86_64: E: non-readable /sbin/mgetty 0700
mgetty.x86_64: E: non-standard-executable-perm /sbin/mgetty 0700
mgetty.x86_64: E: non-readable /usr/sbin/callback 0700
mgetty.x86_64: E: non-standard-executable-perm /usr/sbin/callback 0700
* intention

mgetty.x86_64: W: file-not-utf8 /usr/share/doc/mgetty-1.1.36/modems.db
* this is ok
Comment 7 Jon Ciesla 2010-01-25 15:05:01 EST
Sounds good.  You might want to mention some of those in the spec in places that make sense.

I'd say make the above comments and we're golden.
Comment 8 Jiri Skala 2010-01-28 09:34:30 EST
(In reply to comment #7)
> Sounds good.  You might want to mention some of those in the spec in places
> that make sense.
> 
> I'd say make the above comments and we're golden.    

done
Comment 9 Jon Ciesla 2010-01-28 10:01:48 EST
Great, thanks!

APPROVED

Note You need to log in before you can comment on or make changes to this bug.